summaryrefslogtreecommitdiffstats
path: root/scripts/lib/ptxd_make_world_patchin.sh
diff options
context:
space:
mode:
authorMichael Olbrich <m.olbrich@pengutronix.de>2019-05-31 10:39:49 +0200
committerMichael Olbrich <m.olbrich@pengutronix.de>2019-05-31 17:37:39 +0200
commit80a5494ef64caa18fc8661ff799932c218766cff (patch)
treec7b14ed29adfe5ac5a24739ca306d7a58f103a13 /scripts/lib/ptxd_make_world_patchin.sh
parent4af19a8bdf822839ec78913f1d70793b695ed2bf (diff)
downloadptxdist-80a5494ef64caa18fc8661ff799932c218766cff.tar.gz
ptxdist-80a5494ef64caa18fc8661ff799932c218766cff.tar.xz
ptxd_make_world_patchin: drop support for old generic/ subdir
For legacy reasons, patches could be in a 'generic' subdir. This has not been used in a long time. Remove support for this but add a check to fail, if such patches are found. Signed-off-by: Michael Olbrich <m.olbrich@pengutronix.de>
Diffstat (limited to 'scripts/lib/ptxd_make_world_patchin.sh')
-rw-r--r--scripts/lib/ptxd_make_world_patchin.sh12
1 files changed, 8 insertions, 4 deletions
diff --git a/scripts/lib/ptxd_make_world_patchin.sh b/scripts/lib/ptxd_make_world_patchin.sh
index 0eac702a4..fce929786 100644
--- a/scripts/lib/ptxd_make_world_patchin.sh
+++ b/scripts/lib/ptxd_make_world_patchin.sh
@@ -473,11 +473,15 @@ ptxd_make_world_patchin_init()
#
# find patch_dir
- # for compatibility, look first in 'generic', then in standard
- # location
+ # fail if the legacy 'generic' location is found
#
- if ! ptxd_in_path PTXDIST_PATH_PATCHES ${pkg_pkg}/generic &&
- ! ptxd_in_path PTXDIST_PATH_PATCHES ${pkg_pkg} ; then
+ if ptxd_in_path PTXDIST_PATH_PATCHES ${pkg_pkg}/generic; then
+ ptxd_bailout "Legacy patch dir" \
+ "$(ptxd_print_path "${ptxd_reply}")" \
+ "is no longer supported. Move patches to" \
+ "$(ptxd_print_path "$(dirname "${ptxd_reply}")")"
+ fi
+ if ! ptxd_in_path PTXDIST_PATH_PATCHES ${pkg_pkg} ; then
return
fi
pkg_patch_dir="${ptxd_reply}"